For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Message object
          • GET/messages
          • GET/messages/{id}
          • GET/messages/{message_id}/replies
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsMessages

/messages/{id}

GET
/messages/:id
GET
/api/chat/v1/messages/:id
$curl https://api.merge.dev/api/chat/v1/messages/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "m1f2d8a4-9f7a-4e2b-8e2f-123456789abc",
3 "remote_id": "mem-001",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "user_id": "a1234567-89ab-cdef-0123-456789abcdef",
7 "conversation_id": "a1234567-89ab-cdef-0123-456789abcdef",
8 "body": "Hello World",
9 "subject_line": "Hello World",
10 "root_message_id": "a1234567-89ab-cdef-0123-456789abcdef",
11 "url": "https://example.com/messages/mem-001",
12 "remote_created_at": "2021-09-15T00:00:00Z",
13 "remote_updated_at": "2021-09-16T00:00:00Z",
14 "remote_was_deleted": true
15}

Returns a Message object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/messages

Next

/messages/{message_id}/replies

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
user_idstring or nullformat: "uuid"
The user that sent the message.
conversation_idstring or nullformat: "uuid"
The conversation this message belongs to.
bodystring or null
The body of the message.
subject_linestring or null
The subject line of the message.
root_message_idstring or nullformat: "uuid"
The root message this message belongs to.
urlstring or nullformat: "uri"<=500 characters
The url of the message.
remote_created_atdatetime or null
When the third party's conversation was created.
remote_updated_atdatetime or null
When the third party's conversation was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.